Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 819785

Summary: ocamlopt compilation fails with unknown option `-dllpath'.
Product: [Fedora] Fedora Reporter: Richard W.M. Jones <rjones>
Component: ocaml-mlgmpidlAssignee: Alan Dunn <amdunn>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: amdunn, dwheeler
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 18:25:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Richard W.M. Jones 2012-05-08 08:44:02 UTC
Description of problem:

$ touch test.ml
$ ocamlfind opt -package mlgmpidl -linkpkg test.ml -o test
ocamlopt.opt: unknown option `-dllpath'.

Version-Release number of selected component (if applicable):

ocaml-mlgmpidl-devel-1.1-7.fc17.x86_64

How reproducible:

100%

Additional info:

Seems to be a bug in the META file, which currently contains:

version = "1.05"
description = "OCaml interface to GNU GMP and MPFR"
requires = "bigarray"
archive(byte) = "gmp.cma"
archive(native) = "gmp.cmxa"
linkopts = "-cclib -lgmp_caml -dllpath /usr/lib64 -dllib libgmp.so"

Note that the version number is wrong.

I notice that Debian seems to be using a different GMP binding
from what we're using in Fedora.

Comment 1 Richard W.M. Jones 2012-05-08 12:35:32 UTC
I pushed a new version to Rawhide which fixes this problem:
http://pkgs.fedoraproject.org/gitweb/?p=ocaml-mlgmpidl.git;a=commitdiff;h=7d950c5bac3147c793b73ec95cc41cfa8b7d3c8b

Comment 2 Fedora End Of Life 2013-07-03 19:38:04 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2013-07-31 18:25:23 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.